Ubuntu

Does not use system proxy settings

Reported by jorge on 2008-12-03
934
This bug affects 189 people
Affects Status Importance Assigned to Milestone
Empathy
Invalid
Undecided
Unassigned
Telepathy Haze
Confirmed
Medium
telepathy-gabble
Confirmed
Medium
telepathy-idle
Confirmed
Medium
empathy (Ubuntu)
Medium
Unassigned
Declined for Maverick by Sebastien Bacher
Lucid
Medium
Unassigned
empathy (Unity Linux)
Invalid
Undecided
Unassigned

Bug Description

Binary package hint: empathy

Empathy wont connect to any major service trough a proxy. I've tried Google Talk, Jabber, MSN and Yahoo.
I set the proxy preferences in GNOME, it's a plain proxy for all protocols, without authentication.

Pidgin works normally in the same setup.

Ubuntu 8.10, Empathy 2.24.1

I tried using telepathy, through Empathy as frontend to use VOIP functions.
However, the interface provided no place to specify proxy.

Telepathy doesn't seems to support proxy for IM, while most popular applications like Pidgin/Purple do.

Steps to Reproduce:
1. Install Empathy with related telepathy-gabble support behind a network requiring authenticated proxy
2. Create a new account and try to login.

Actual Results:
Empathy is unable to connect to required protocol's network.

Expected Results:
Should connect to required network, and should offer a proxy dialog or use system settings.

Build Date & Platform:
Used PPA repository at http://ppa.launchpad.net/telepathy/ubuntu hardy main
Package: telepathy-gabble 0.7.6.1~ppa8.04+1

Adjusting title.

Supporting proxies that need a username/password (HTTP error 407) will require the following changes:

* Gabble gains http-proxy-username and http-proxy-password parameters

* Either or both of:

  (a) Mission Control takes the configured GNOME proxy username and password, and passes them on to Gabble in the same way that the server and port are currently done

  (b) Empathy gains http-proxy-server, http-proxy-port, http-proxy-username and http-proxy-password parameters in the Advanced area of account config

(Ideally, in the long term, Gabble should be able to ask the UI to ask the user for a username and password interactively, but that's tricky D-Bus API work.)

Binary package hint: empathy

Empathy wont connect to any major service trough a proxy. I've tried Google Talk, Jabber, MSN and Yahoo.
I set the proxy preferences in GNOME, it's a plain proxy for all protocols, without authentication.

Pidgin works normally in the same setup.

Ubuntu 8.10, Empathy 2.24.1

xoco (arthur.ivanov) wrote :

totaly agree.
9.04 devel

same issue

$ env | grep -i proxy
http_proxy=http://xxx.xxx.xxx.xxx:3128/
ftp_proxy=ftp://xxx.xxx.xxx.xxx:3128/

ICQ connect - ok
Jabber still trying connect directly ..

xoco (arthur.ivanov) wrote :

wireshark capture it:
Internet Protocol, Src: 10.1.200.60 (10.1.200.60), Dst: 209.85.137.125 (209.85.137.125)
Transmission Control Protocol, Src Port: 38009 (38009), Dst Port: xmpp-client (5222), Seq: 0, Len: 0

209.85.137.125 valid IP not proxy ;(

jorge (xxopxe) wrote :

Oookay... Having the default messaging application not support a plain proxy is sort of, ehrm, silly. Specially if it used to work. I'm pretty astonished this just went trough.
I'd request pumping this one to, if not "critical", to "grave".

naheed (naheed) wrote :

Still the problem exist in Jaunty as of May 20, 2009. Cannot login inside corporate lan (global proxy is set). Works fine on open network.

Changed in empathy (Ubuntu):
importance: Undecided → High
status: New → Confirmed
summary: - Empathy wont connect trough a proxy
+ Does not use system proxy settings

<wasabi> haze-Message: [error] msn: Connection error: Access denied: HTTP proxy server forbids port 1863 tunneling.
<wjt> :)
<wjt> well, haze doesn't support the proxy CM parameter
 so libpurple *is* poking gconf behind my back

The default system proxy is being used for CONNECT. There is no option to disable the proxy. If the system proxy server doesn't support CONNECT, users are out of luck. Haze should provide config options to make libpurple not do this.

Same for me on Jaunty as of June 16, 2009.

I think this bug should be considered a show stopper for making Empathy the default IM client in Karmic.

Gabor Kelemen (kelemeng) wrote :
Pedro Villavicencio (pedro) wrote :

looks like it, linking the report.

Changed in empathy (Ubuntu):
status: Confirmed → Triaged
Changed in empathy:
status: Unknown → Confirmed
molybtek (ubuntu-truong) wrote :

With version 2.27.91.1, ICQ and Yahoo picks up the proxy settings in Gnome, however MSN and GTalk/Jabber still ignores the proxy settings and tries to connect direct.

Mario Lameiras (skzo) wrote :

With version 2.27.92, I still have this problem with msn and jabber. This a main issue, with using empathy...

alsuren (alsuren) wrote :

just a few possibly related bugs:

http://bugs.freedesktop.org/show_bug.cgi?id=17073
(freedesktop bugzilla is the correct place for this kind of bug. If someone could do a big trawl for related bugs, that would be good, but I've got to dash.)

https://bugs.maemo.org/show_bug.cgi?id=960
https://bugs.maemo.org/show_bug.cgi?id=718
(maemo also uses telepathy for jabber)

Hope this helps.

jorge (xxopxe) wrote :

Oh, and i think the situation is worse than the new title suggest: not only it does't use system setting, there's no way to set a proxy in the app either.

The inability to set proxy for Empathy forces me to use another chat program (Pidgin).

tphillippe (trjphill) wrote :

Confirmed for Karmic beta 1 and
Empathy 2.28.0.1

Forced to use Pidgin.

Ephraim (thilo) wrote :

Still in RC it's not working.

SonniesEdge (sonniesedge) wrote :

Yup, latest updated RC and I can only use Empathy from home. Trying to use it at work or university through their proxies is a no go.

Nizzzia (nizzzia) wrote :

Just another confirmation of the most annoying bug in Karmic. That's really ridiculous, how come the default application does not support proxy. Devels keep working on improving interface in MUC, support for adium theming and other less relevant things, while the application is not usable. Nonsense

Roni (ronibalthazar) wrote :

Confirmed on both Karmic installations: Fresh install and upgraded from jaunty

Changed in empathy (Ubuntu):
status: Triaged → Confirmed
SonniesEdge (sonniesedge) wrote :

This has been marked as "resolved" by upstream and more importantly, the buck has been passed up to the Mission Control project, run by the free desktop people... http://telepathy.freedesktop.org/wiki/Mission%20Control

jcapinc (jeffs-linux) wrote :

Why would they switch to something like empathy if it has such a huge bug? Port lockdowns are commonplace in public WiFi installations, Proxies are the only resort in that instance. It baffles me that this is this way!

Confirmation of bug. im having it to, there is no visible solution

Diego d'Ippolito (lokar) wrote :

Confirmed on both Karmic installations: Fresh install and upgraded from jaunty.
I totally agree with jcapinc.

Sam Illingworth (mazz0) wrote :

I have this problem but I don't have any proxy set in Gnome, it all happens invisibly somewhere on the corporate LAN. Is this likely to be the same issue?

Hedgehog_57 (hedgehog57) wrote :

Sam: We don't know how access to internet is made in Your office. Maybe You have some sort of transparent proxy. Mabe configuration is made in Your browser itself. Or You have WPAD script in Your corporate environment.

And maybe i have misunderstood You because of my bad english. What have meant when You said "it all happens invisibly somewhere on the corporate LAN" ?

Ryan Stuart (ryanstuart) wrote :

This is very disappointing. I installed the new version of Ubuntu (9.10 amd64) on my new laptop (Dell Studio XPS) today. For an operating system that has spent time on high profile projects recently like Paper Cuts etc, to have something so basic fail is unbelievable. How am I meant to argue with my friends that Ubuntu is a viable alternative to Windows when it can't get something as simple as IM right?

gaestur (usx) wrote :

Confirmed for Karmic.

Brian Curtis (bcurtiswx) wrote :

someone having the problem please type "apport-collect 304889" in their terminal

molybtek (ubuntu-truong) wrote :

apport-collect doesn't work through proxy either...

Architecture: i386
DistroRelease: Ubuntu 9.10
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Tags: ubuntu-unr
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
Brian Curtis (bcurtiswx) on 2009-11-15
Changed in empathy (Ubuntu):
status: Confirmed → Triaged

Architecture: i386
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release Candidate i386 (20091020.3)
NonfreeKernelModules: nvidia
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

SaNuke (sanuke) wrote :

Confirmed, in my Ubuntu 9.10 unr on eeepc and amd64 on Desktop PC - still not work with proxy.

Michael (michaelplazzer) wrote :

Ditto i386, fresh install

Architecture: i386
CheckboxSubmission: ef0a65cd688e8392f694bbaccf733936
CheckboxSystem: b1865df84255b8716d3bcc269ff410d1
DistroRelease: Ubuntu 9.10
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse libvirtd lpadmin netdev plugdev sambashare scanner tape uml-net video
XsessionErrors:
 (gnome-settings-daemon:2739): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:3241): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:3300): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

bigbrovar (bigbrovar) wrote :

Ubuntu should really not have shipped empathy by default because of this bug. proxy support should be a most for any internet aware application.

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx wl
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: pulse pulse-access

Architecture: i386
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_IE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.52-generic
Uname: Linux 2.6.31-16-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1632): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1664): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1684): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:2027): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

Architecture: amd64
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
NonfreeKernelModules: nvidia
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
Uname: Linux 2.6.31-16-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin mail plugdev sambashare vboxusers

graemev (graeme-launchpad) wrote :

I guess this solves my search ... empathy just does not work ... odd More and more more things seem to crop up as simply not working

Mario Lameiras (skzo) wrote :

bump

Vinay Wagh (wagh-vinay) on 2010-01-16
Changed in empathy (Ubuntu):
status: Triaged → Confirmed

Architecture: i386
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: empathy 2.28.1.1-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-17.54-generic
Uname: Linux 2.6.31-17-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse kvm libvirtd lpadmin netdev plugdev sambashare tape users video

Nerd_bloke (nerd-bloke) wrote :

I added upstream bugs that seem relevant for Jabber, Yahoo, IRC... but didn't spot any logged against MSN (butterfly/papyon)

Also would:
https://bugzilla.gnome.org/show_bug.cgi?id=602824
be a better Empathy bug to track, as upstream haven't closed it?

Changed in telepathy-idle:
status: Unknown → Confirmed
Changed in telepathy-gabble:
status: Unknown → Confirmed
Changed in telepathy-haze:
status: Unknown → Confirmed
Changed in empathy (Ubuntu):
status: Confirmed → Triaged
lophie (lophesuicire) wrote :

OMG! this still not fixed! I had a lot of people upgrading to Karmic instead of Windows and most of them cursed me back for EVEN MSN doesn't work! I know there are solutions but the DEFAULT IM Application can't use proxies.... RIDICULOUS!

Way to go....... Lucid is going to inherit this.......... :( shame for the lynx

Lophie, let them know to use Pidgin, which supports all kind of proxies you can imagine.

Hi everybody,

I'm also affected by the proxy bug. This never happens on previous release. But I wonder if the issue is more general. Since Karmic, my evolution cannot receive mail when I'm under a proxy, apt-key doesn't work under a proxy too.

Does anyone experience proxy issues with evolution and apt-key ?

Stan

Stanislas, apt-key and apt tools doesn't work behind proxy, I can confirm that. I haven't tried to run Evolution trough SOCKS proxy though.

people, this is empathy bug report. report a separate bug for evolution :)

On Thu, Mar 4, 2010 at 2:31 PM, Pēteris Krišjānis <email address hidden> wrote:

> Stanislas, apt-key and apt tools doesn't work behind proxy, I can
> confirm that. I haven't tried to run Evolution trough SOCKS proxy
> though.
>
> --
> Does not use system proxy settings
> https://bugs.launchpad.nfirm that. I haven't tried to run Evolution trough
> SOCKS proxynfirm that. I haven't tried to run Evolution trough SOCKS
> proxynet/bugs/304889 <https://bugs.launchpad.net/bugs/304889>
> You received this bug notification because you are subscribed to empathy
> in ubuntu.
>
> Status in Chat app, and Telepathy user interface: Confirmed
> Status in Jabber/XMPP connection manager: Confirmed
> Status in Telepathy Haze: Confirmed
> Status in A full-featured IRC connection manager for telepathy.: Confirmed
> Status in “empathy” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried Google
> Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all protocols,
> without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
>
>

Yes I know, the bug in evolution is already filed. I was just wondering if the two bugs were interrelated as they are both gnome applications. I think it's strange that two gnome applications stopped using gnome proxy settings when I upgraded to Karmic...

Pablo (itu-pablo) wrote :

I can confirm it on recently installed Karmic.

Changed in empathy (Ubuntu Lucid):
assignee: nobody → Canonical Desktop Team (canonical-desktop-team)
lohapuk (lohapuk) wrote :

Confirmed Still not working, have tried to work round the problem using tsocks but it didn't work.

Changed in empathy (Ubuntu Lucid):
importance: High → Medium
jorge (xxopxe) wrote :

Medium? Really? Empathy just doesn't work in a lot of corporate-land and schools and universtities... I mean, the default messaging app doesn't know what a PROXY is? That's absolutelly not serious.

hbalkhi (hbalkhi) wrote :

totally agree with you , why should be the default i guess this is againt
the *it should just work* saying if you know what i mean

On Fri, Mar 26, 2010 at 11:05 PM, jorge <email address hidden> wrote:

> Medium? Really? Empathy just doesn't work in a lot of corporate-land and
> schools and universtities... I mean, the default messaging app doesn't
> know what a PROXY is? That's absolutelly not serious.
>
> --
> Does not use system proxy settings
> https://bugs.launchpad.net/bugs/304889
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chat app, and Telepathy user interface: Confirmed
> Status in Jabber/XMPP connection manager: Confirmed
> Status in Telepathy Haze: Confirmed
> Status in A full-featured IRC connection manager for telepathy.: Confirmed
> Status in “empathy” package in Ubuntu: Triaged
> Status in “empathy” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried Google
> Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all protocols,
> without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

Sebastien Bacher (seb128) wrote :

changing the setting doesn't mean the bug is not going to be worked but let's realistic lucid will be stable next month and this bug is standing for over a year and will require work over the integration work done by a distribution

getting every single launchpad bug closed and the software we distribute bug-less would be nice bu it will not happen for lucid, if you really need a proxy in cases where empathy doesn't handle you can install an another client there is enough of those available in universe.

the upstream bug on telepathy-haze suggests at least than haze use the default GNOME proxy, other protocols will still need work though. Not having proxy support in the default im is not nice but non-university non-business setups usually don't have such limitations and are the main im customers, corporation installation often tweak their software selections if needed

Mario Lameiras (skzo) wrote :

Sure... but this is still a major bug ! The decision to replace pidgin was done a long a go and still we have this major flaw, it afects a big percentage of people.

This bug is still targeted to the 10.04 release. As such, if someone is able to produce a fix for it before final freeze on April 15th, the fix can be included. However, if no one is able to do so, we will ship Lucid on time as planned. Anyone who has the capability to fix this bug of pay someone to fix this bug should feel free to do so up until final freeze.

jorge (xxopxe) wrote :

I'm not into release schedule intrincacies, so if you people say that because the bug is long standing and the chances of it being fixed before release are slim, it somehow diminishes it's importance, so be it.
BUT, i still think you understimate how amateurish image of Ubuntu this bug gives each time someone brings his laptop to the uni. If you only could hear sysadmin's eyes roll.

samurailink3 (samurailink3) wrote :

Also having this bug. Can't use Empathy now, sticking with Pidgin for the time being.
Linux Macaroni 2.6.32-19-generic #28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010 i686 GNU/Linux

AbelChiaro (abel-chiaro) wrote :

It’s sad that such a serious bug has been present since Jaunty and almost nothing has been done to solve it. GNOME already switched from Pidgin to Empathy for no *really good* reason and Ubuntu simply chose to follow them blindly.

My company uses the Sametime protocol for IM collaboration and now I have to choose between a working client (Pidgin) and the one that integrates well with the shell (Empathy). My (silly but necessary) workaround has been to switch off the GNOME proxy settings, connect to the Sametime server, then switch them back on.

My opinion? Fix this already, or revert to Pidgin and let the GNOME folks deal with this as their reward.

Guillaume Desmottes (cassidy) wrote :

Please stop writing useless comments. This is a bug tracker, not a stupid forum.
While the status of this bug is not changed there is no point to post "I'm also affected" comment, we know that this doesn't work and this is not going to change magically until developpers implement the missing bits.

That being said, we are currently working on adding proxy support to Telepathy backends. This won't be done for Lucid but I'm pretty confident that it should be integrated for Lucid+1.

Ryan Stuart (ryanstuart) wrote :

Couldn't disagree more Guillaume. As so clearly pointed out by Sebastien Bacher, this bug isn't considered so serious by the powers that be. While this might not be a "stupid forum" (or any other type of forum for that matter) it is, as you so eloquently pointed out, a bug tracker (you know - a place were people post and comment on bugs). If this isn't the correct place to comment about bug 304889, I'd love to know where is.

The more comments on this bug, the more important it will be seen by the powers that be. If Ars Technica were to post a scathing article about this bug and label Ubuntu immature because of it, this bug would be fixed tomorrow. Since that might well be beyond our reach, this is the best way to make our feelings known about the bug and raise its profile. The only other alternative that I can see is to use a piece of software that works (and might even have a stupid forum we can use too!!).

Felipe Contreras (felipec) wrote :

First of all, GNOME never switched from Pidgin to Empathy because Pidgin has never been part of GNOME, and has never intended to. It's just a GTK+ app that has never collaborated with anyone... GNOME, freedesktop.org, etc. So, before Empathy, GNOME didn't really have an alternative.

Now, I think distributions should have made proxy support a _blocker_ feature for Empathy inclusion (regardless of GNOME's decision), but that didn't happen, and now people are complaining (understandably) because the default IM client just doesn't work (for them).

I don't agree with Guillaume, I think people have a reason to complain, but it would be nice to do it in a more constructive manner, and perhaps follow the upstream bugs, and perhaps provide some testing. However, the upstream bugs are very scattered and unclear.

For example, telepathy-haze *already* has proxy support since libpurple already has proxy support, however, it works mostly by accident, behind the back of telepathy-haze using GConf. All Telepathy guys need to do is add some configuration to pass to libpurple, and use telepathy-haze instead of native CM's.

Unfortunately, for political reasons I doubt Telepathy guys would do that, instead they will wait until their native CM's do support proxy properly.

If Ubuntu guys are interested, I'm sure I can provide patches for that.

Guillaume Desmottes (cassidy) wrote :

The whole point of a bug tracker is to discuss TECHNICAL details about issues. Complaining without providing more useful information is useless and waste time of developpers. If you want to "vote" for a bug you can subscribe to it or mark that it affects us. Those are the right way to do and don't generate useless bug mails.

Felipe: I don't know who proxies work in libpurple/haze but I'm sure we'll happy to integrate proper patches fixing things. Our current plan is to hook libproxy in CM to fetch proxy settings and connect using them. That's what butterfly is already doing btw.

Sebastien Bacher (seb128) wrote :

> If Ars Technica were to post a scathing article about this bug and label Ubuntu immature because of it, this bug would be fixed tomorrow.

No it will not, you can try to see subjects which have been used in article to say what is lacking on linux distributions, the fact that those issue are pointed in the press doesn't mean the bug will be automagically fixed there, lucid is frozen now so no amount of complaining or writing will change the fact that work is required and it will take some time before being done

Felipe Contreras (felipec) wrote :

Guillaume: here's a technical argument: Empathy doesn't work.

That's a blocker. As long as the bug is not blocker, the best thing users can do is complain. Once the bug is marked as blocker, then there's no point in users complaining since developers are already aware of the importance of the bug.

So, either mark the bug as critical, or endure users' complaints.

Read the telepathy-haze bug report (22065), libpurple is *already* fetching proxy settings from GConf regardless.

IMHO you are not aware of the importance of this bug and not listening either. You are planning for something that's completely irrelevant.

Listen to what AbelChiaro said: he needs to *switch off* the proxy settings in GNOME in order to log in to Sametime. Why is that? Because libpurple is reading them and telepathy-haze doesn't provide any way to configure that. He doesn't need proxy support in libpurple (or haze), he needs proxy *configuration* support.

So how do we fix this bug?
 1) Make proxy settings configurable in telepathy-haze (easy)
 2) Prioritize telepathy-haze over other CM's (gabble, idle, butterfly)

If Ubuntu guys are ok with 2), I can do 1).

Sebastien Bacher (seb128) wrote :

Could you stop those no sense comments and argumentation there? The bug is an issue in some scenarios and you are free to install pidgin if you need it but there is no way anything will change in that regard for lucid now, the rc freeze is in action and only limited bug fixes will go in between rc and lucid, getting this to work will require quite some coding and will not happen now.

Changing technlogies from tested ones to something we didn't use by default would need weeks of testing too and will in no way happens before lucid, would it be using telepathy-haze instead of tested telepathy-gabble, telepathy-butterfly etc is not an option.
Changing back to pidgin now is not an option either.

Now being comfrontational or argument over bug settings there is of no use, that issue will be handled next cycle as Guillaume said, if the default softwares selection in lucid doesn't match your need install pidgin and deal with it, nobody said only softwares shipped by default are valid alternatives for users or that pidgin will not be working

Martin Pitt (pitti) wrote :

Just for the record: pidgin didn't disappear, it's still readily
available for installation and usage.

Felipe Contreras (felipec) wrote :

Sebastien: the fact that you are unwilling to fix a critical bug doesn't make it any less critical.

"will be handled in the next cycle" yeah, right... you are relying on upstream, so it might not. Or do you have a timeline when it will be fixed for all protocols that somehow fits Ubuntu's plan?

Still, nothing prevents you from marking the bug as critical *right now*, so that it gets the proper attention for the next cycle. You failed to do that in the previous one, and here we are again; it's always too late to do anything.

jorge (xxopxe) wrote :

Sebastien, i know this is no forum, but this is too amazing to let it pass... "Changing technlogies from tested ones"? What? Tested as in "it doesn't work"? You mean someone actually TESTED this? So, did those "weeks of testing" reveal it doesn't work behind a proxy?

Felipe: even if they did mark it critical right now, they would reduce it's importance as the next release date approaches. This is how it worked with lucid, it went down from important to medium. The proximity of release dates reduces the importance of bugs. Weird, I know.

Karl Fischer (kmf) wrote :

This is ultra lame, how can I deploy Lucid in a Enterprise Environment and the Proxy does not work in Empathy,
Please Fix.

bigbrovar (bigbrovar) wrote :

One way round this is to enable transparent proxy on your proxy. This would allow the proxy setup to be invincible to internet aware applications withing your network. You might want to talk to your network admin.

Manuel Fonseca (manuelfonseca) wrote :

bigbrovar: that is not a workaround on this issue, no corporate sysadmin will even consider changing a corporate proxy configuration to help you talk over MSN in Ubuntu.

Joshua R. Poulson (jrp) wrote :

On 10.04 LTS empathy appears to work fine with a squid caching proxy except the Yahoo IM, which appears to suffer the same problem that pidgin did: http://developer.pidgin.im/ticket/9488

udippel (udippel) wrote :

This *IS* already long, and winding, and partially boring.

Let me nevertheless update the discussion to Lucid:
No, "System-Wide" at Network Proxy Preferences does not set any proxy at all; at least I can't find any being used. It should apply to apt-get, as well as the Terminal Session (Gnome Terminal). It isn't. This is 10.04, netbook remix.

Uli Tillich (utillich) wrote :

Everyone affected by this bug should also sign up for Bug #516032 (add-apt-repository not working behind a proxy) and Bug #387308 (ubuntu one not working behind proxy), as they are sure to be affected as well.

Thank you

I was affected by this bug on karmic. Since a fresh install on Lucid, no problems at all, empathy works fine behind my lab's proxy !

jorge (xxopxe) wrote :

Lucid now. Now it works for yahoo, but still gives "Network Failure" for jabber/google talk and MSN. Exactly the opposite of Joshua R. Paulson's report...

Uli Tillich (utillich) wrote :

I just tested this in Lucid (64bit). It indeed seams to be fixed!
Google Talk, ICQ, and facebook chat seem to work fine.
MSN did work, but i think its blocked by the university (in pidgin it only works with the http method).

Pablo (itu-pablo) wrote :

I can't confirm this. I'm on Lucid 64bit and -at least for MSN- Empathy is still showing "Network Failure". Maybe I'll try a fresh install later (I upgraded from beta).

Felipe Contreras (felipec) wrote :

"Empathy" has nothing to do with proxy stuff, connection issues and so on. You need to check which specific telepathy CM you are using. That should be easy to check with 'ps -A | grep telepathy'. My guess would be that only telepathy-haze works (using GNOME's proxy settings).

jorge (xxopxe) wrote :

Confirmed what #87 guessed: telepathy-haze works ok (trough libpurple, just as pidgin?). Verified by uninstalling telepathy-gabble and telepathy=butterfly, and restarting gnome.

can confirm #87 solution too:

sudo apt-get remove telepathy-gabble telepathy-butterfly

did the trick

Pablo (itu-pablo) wrote :

It did it for me too.
Thanks.

2010/5/26 Peter Hagen <email address hidden>

> can confirm #87 solution too:
>
> sudo apt-get remove telepathy-gabble telepathy-butterfly
>
> did the trick
>
> --
> Does not use system proxy settings
> https://bugs.launchpad.net/bugs/304889
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chat app, and Telepathy user interface: Confirmed
> Status in Jabber/XMPP connection manager: Confirmed
> Status in Telepathy Haze: Confirmed
> Status in A full-featured IRC connection manager for telepathy.: Confirmed
> Status in “empathy” package in Ubuntu: Triaged
> Status in “empathy” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried Google
> Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all protocols,
> without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

--
Pablo A. Iturralde

jorge (xxopxe) wrote :

The bad thing is that under telepathy-haze video calls don't work. Strange, because in pidgin they do.

Felipe Contreras (felipec) wrote :

libpurple has support for video, all telepathy-haze has to do is implement the wrapper from libpurple to telepathy... but that's not implemented yet (perhaps never).

tomasjerabek (tomasjerabek) wrote :

This is getting really sad. After a month since 10.04 was released, this proxy in empathy issue is still not solved. I installed Pidgin (which works straight away - takes system proxy settings) and gave up on this...

Michal (michal.post) wrote :

If anyone is working on some patch, then please let others know.
Thanks in advance.

haroonob (haroonob) wrote :

Problem still not fixed please let me know when problem resolved, I have to use pidgin in my office :(

Sebastien Bacher (seb128) wrote :

Unassigning from the Canonical Desktop Team since realistically the team has no capacity right now to work on those changes

Changed in empathy (Ubuntu):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody
Changed in empathy (Ubuntu Lucid):
assignee: Canonical Desktop Team (canonical-desktop-team) → nobody

Is this bug by any change fixed already?

Dropping myself from the bug, I haven't done any tp-idle dev in a long time.

As for the state of the bug, I don't think it's fixed. The real fix would probably be making idle use glib's GSocketClient to leverage the recently added transparent proxy capabilities: http://ndufresne.ca/2010/06/transparent-proxy-for-glib-applications/.

That would probably also fix quite a few other issues as when I originally wrote the idle network code almost five years ago I didn't really know a socket from a pipe, or from my arse for that matter. Especially the IdleSSLServerConnection (or whatever it was) code is probably a can of worms, I wrote it in like 1 day with no prior experience of the OpenSSL API at all...

Praseem (praseem007) on 2010-08-31
Changed in empathy (Ubuntu Lucid):
status: Triaged → New
Changed in empathy (Ubuntu Lucid):
status: New → Confirmed
Ashok (email2ash) wrote :

Yahoo is working through GNOME proxy from v2.31.91.1. Using Ubuntu Maverick Beta. But no application level proxy preferences yet. In my office, GTalk works without proxy and Yahoo works only through proxy. Pidgin gives me this flexibility where as Empathy doesn't.

Back to Pidgin :|

Changed in telepathy-gabble:
importance: Unknown → Medium
Changed in telepathy-haze:
importance: Unknown → Medium
Changed in telepathy-idle:
importance: Unknown → Medium
Changed in empathy:
importance: Unknown → High
status: Confirmed → Unknown
Uli Tillich (utillich) wrote :

I can not confirm this bug, for me ICQ, Facebook Chat, Google Talk, all work behind a proxy.

The only exception is MSN which has its own bug report (Bug #579281). But even MSN will work if telepathy-butterfly is removed so telepathy-haze is used instead.

Michal (michal.post) wrote :

I confirm this bug in empathy 2.30.2-0ubuntu1, on ubuntu 10.04.1 LTS.

steps to reproduce:
1. setup (add) a Jabber account in empathy (i.e. GTalk)
2. verify that you CANNOT connect to jabber server directly, without http_prxy (i.e. you can setup iptable rule to drop direct connections to jabber server)
3. set system proxy configuration
4. verify that you CAN connect to jabber server

If you cannot confirm this bug, I guess that your being behind the proxy is not enforced. It is usually enforced in many companies or campuses. So, if http proxy in your network is not obligatory, you may not confirming this bug correctly.
If you need some more details to confirm this bug I'll be happy to help.

Uli Tillich (utillich) wrote :

@ Micha
I am behind a proxy at an university campus.

I just tested it and you are correct that I am able to connect to Gtalk and Facebook chat even when I remove the global proxy settings. My browser, MSN, ICQ, synaptic, and so forth however do not work, so I assumed the proxy settings would be needed for all connections. Sorry for the confusion.

Hmm, using HTTP Connect on any port that is not 443 has a big chance of being denied by sys-admin. To me this is a bug in libpurple. Unless we have a very clear and specific error code, I'm not sure we can do anything in Haze.

Telepathy Butterfly (MSN) already supports SOCKS5 and HTTP Connect proxy with authentication. I'm working on adding HTTP Connect proxy to Wocky (while SOCKS5/4a/4 is provided by GLib 2.26 and newer).

I suggest we attach dependency to this bug for tracking. Contrary to what Pidgin do, Telepathy connection manager rely on system proxy settings only for now (which are optained using libproxy).

Harsh Kumar (harsh1kumar) wrote :

Bug exists in Ubuntu 10.10

Please fix this bug. Its annoying that ubuntu is shipping applications these days with no proxy support. I have been searching ways to run empathy and gwibber behind proxy for last 2 days. Its frustrating.

Have you tried the work around:

sudo apt-get remove telepathy-gabble telepathy-butterfly?

(therefore forcing apps to use telepathy-haze)

2010/10/12 Harsh Kumar <email address hidden>

> Bug exists in Ubuntu 10.10
>
> Please fix this bug. Its annoying that ubuntu is shipping applications
> these days with no proxy support. I have been searching ways to run
> empathy and gwibber behind proxy for last 2 days. Its frustrating.
>
> --
> Does not use system proxy settings
> https://bugs.launchpad.net/bugs/304889
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chat app, and Telepathy user interface: Unknown
> Status in Jabber/XMPP connection manager: Confirmed
> Status in Telepathy Haze: Confirmed
> Status in A full-featured IRC connection manager for telepathy.: Confirmed
> Status in “empathy” package in Ubuntu: Triaged
> Status in “empathy” source package in Lucid: Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried Google
> Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all protocols,
> without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

--
Pablo A. Iturralde

Harsh Kumar (harsh1kumar) wrote :

Thank you Pablo.
I got google talk working now, but I can't find any option to connect to facebook chat.

Thanks again.

jorge (xxopxe) wrote :

Under telepathy-haze, to connect to facebook use jabber to <email address hidden> and disable "Require encription".

Notice tough that empathy doesn't support conferencing under telepathy-haze, only old-fashioned chat as if it was 1999, heh.

orlat84 (florin-pop) wrote :

I would also strongly vote for the fix of this bug.

TIA

sgrandi (stefano-grandi) wrote :

I believe that linux is a great os, but if we can't use it for years.... Is so that difficult to solve this bug? I am on 10.10 and the bug isn't already solved.

Felipe Contreras (felipec) wrote :

Small update.

Some Telepathy CM's such as gabble (XMPP) and butterfly (MSN) now have some proxy support, however, they depend on libproxy doing the right thing (which it usually doesn't). So essentially they still don't work.

A more generic solution should be implemented in GLib, however, they are reluctant to provide HTTP Connect support because it's "unsafe" (no idea what they are smoking).

So, as usual with anything GLib, there's progress, but it will take a long long time before it actually works.

Guillaume Desmottes (cassidy) wrote :

Wocky implements HTTP proxy, so it should work fine with recent Gabble if libproxy is properly configured.

Felipe Contreras (felipec) wrote :

@Guilliame Right, *if* you have at least GLib 2.26, and *if* you have the corresponding glib-networking (which is not packaged in Ubuntu), and *if* you have libproxy 0.4.6 (0.3.1 in Ubuntu), and *if* you have the exact right configuration in GConf (not "Use the same proxy for all protocols"), and *if* you have at least telepathy-gabble 0.10.0 (latest Ubuntu does have it); sure, it would work.

Currently that's not the case, and I doubt it would be on the next Ubuntu release.

However, that's only for XMPP, for other protocols, like MSN, it wouldn't work, more changes are needed in libproxy for that.

So no, I wouldn't hold my breath until this bug is fixed.

Unless of course all protocols are supported through libpurple (through telepathy-haze), which people here have confirmed. In this case, this bug would be fixed *today*.

When I first started working on proxy in Telepathy there was two ways this could be fixed. The quick way would have been to implement it in every single network oriented application. To do so you just have to find another project that match licence, copy paste some code do basic testing and your done. But the fact is that this method had never worked. The big portrait is that every software interpret the configuration differently (mainly due to ambiguities in the configuration) or has incomplete implementation.

I was bored of that, so I took the long road, that one that can benefit all and eventually ensure that network oriented application don't have to care about proxy since it will just work. This road is to get proxy support to be handled by libraries like GIO and libproxy. In contrast to what Felipe says, having to update things into distribution to get things to work is completely normal, and takes time. We can't implement features in already existing versions and we can't maintain hundreds of different branches of every projects so the distro does not have to update.

Getting this in the next Ubuntu release has nothing to do about doubt, it's about priority. If 100% of the targeted users where using HTTP Connect proxy, all this would be updated much faster. But the reality is that HTTP Connect users represent probably less then 1% of the users, I don't think it's enough people to justified the risk and the energy required to get those new features in so quickly. What you should do instead if you have the knowledge and time is to test those things, discuss and report precise bugs and create testimonial for distro that says it's working.

Finally, Telepathy Butterfly (the MSN backend) has full HTTP/HTTP Connect/SOCKS support. I don't know where Felipe got that it does not work for MSN because it works very well.

What Felipe is confusing in his comment is the support for proxy in Telepathy against bugs in the libproxy implementation. Yes HTTP Connect is considered an unsafe choice in libproxy. HTTP Connect server (the commercial ones) has a large reputation of implementing filters and port blocking that usually reduces your connectivity. We are working hard to make it possible to trigger this choice in libproxy without the risk of reducing your connectivity, but we have hit an internal design issue that needs more time.

Felipe also often ignore the miss-adapted configuration tool we have in Gnome. This tool, based on old Netscape Navigator configuration, is undocumented and present ambiguities. On this, some people also have long term solution like a new storage for GSettings/GConf or even an integration with software like NetworkManager or ConnMan. But let me reassure you that as soon as the previously mentioned bug in libproxy is fixed, I'm also going forward with shorter term fixes that should make it work better.

Felipe Contreras (felipec) wrote :
Download full text (3.9 KiB)

@Nicolas

> But the fact is that this method had never worked.

Grep for "pidgin" in this thread. That method works. In fact, it's the only one that does. That's why this bug exists and people are annoyed; the default IM client used to work (Pidgin), now it doesn't (Empathy).

What I would have done is write something that works, like your code for socks and http proxies, and make it a library, or just copy it inside the most popular CM's (gabble and butterfly) with a git submodule. This way you wouldn't be relying on GLib slowness/stubbornness. Once GLib has proper proxy support, you switch. Problem solved.

The next problem is configurability. Instead of relying _completely_ on libproxy, I would allow the option to override the proxy configuration with a CM property, this way even if libproxy is buggy (which it is), the user would not be stuck. I would have also added the option to read directly from GConf, and let the user be able to choose this option.

> so I took the long road

With my proposal you have the benefit of both. When libproxy/GIO are truly ready, you can switch easily, and everyone benefits. In the meantime, things would work, and this bug would be solved.

> having to update things into distribution to get things to work is completely
> normal

Normal for GNOME people. Other people would rather have something working _right now_, even it's not exactly the mode ideal, generic, extensible, and permanent way of doing things. Hint: Pidgin, XChat, Firefox, Ekiga, etc.

> But the reality is that HTTP Connect users represent probably less then 1% of the users

Ha! I would like to see proof of that. How about people following this bug mention what type of proxy support they need? (socks, http, etc.) It's important because Nicolas is assuming _everyone_ is using SOCKS, and that is reflected on how libproxy interprets GNOME network configuration.

> What Felipe is confusing in his comment is the support for proxy in Telepathy
> against bugs in the libproxy implementation.

Take a look at the title of this bug: use *system* proxy settings. This means GConf, and this means precisely libproxy. If libproxy returns "socks", when the user is expecting "http" (which it does), then the user wouldn't be able to connect, and this bug remains valid.

> We are working hard to make it possible to trigger this choice in libproxy
> without the risk of reducing your connectivity

What you don't seem to understand is that the connectivity is *zero*, you cannot reduce that, even if you try. Note that libproxy is not used by anything in Unbuntu, so it doesn't matter what you do there, it would not affect anyone negatively. The problem is this GNOME mentality, that everything must be perfect since day 0, and therefore it's OK if things don't work at all before that, which is the current situation.

> Felipe also often ignore the miss-adapted configuration tool we have in Gnome.

Works in Pidgin.

Now, I would not like to give the impression that everything is horrible. There is great progress thanks to the efforts of many people, specially Nicolas; we are getting closer and closer to the generic solution, and I certainly would like to contribute to th...

Read more...

Felipe Contreras (felipec) wrote :

> How about people following this bug mention what type of proxy support they
> need? (socks, http, etc.)

Personally, my university (Tec Monterrey), and the companies I've worked for (Texas Instruments, and Nokia), they all have used an HTTP proxy for everything (HTTP Connect). And all the proxy bugs I've had in my projects (msn-pecan) have been of HTTP proxies.

Michal (michal.post) wrote :

In my company (~80 000 employees) we are also forces users to use http
proxy.
I's a standard in corporations and university campuses.
I also think i's much more than 1% of people affected by this bug.

2010/12/23 Felipe Contreras <email address hidden>

> > How about people following this bug mention what type of proxy support
> they
> > need? (socks, http, etc.)
>
> Personally, my university (Tec Monterrey), and the companies I've worked
> for (Texas Instruments, and Nokia), they all have used an HTTP proxy for
> everything (HTTP Connect). And all the proxy bugs I've had in my
> projects (msn-pecan) have been of HTTP proxies.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/304889
>
> Title:
> Does not use system proxy settings
>
> Status in Chat app, and Telepathy user interface:
> Unknown
> Status in Jabber/XMPP connection manager:
> Confirmed
> Status in Telepathy Haze:
> Confirmed
> Status in A full-featured IRC connection manager for telepathy.:
> Confirmed
> Status in “empathy” package in Ubuntu:
> Triaged
> Status in “empathy” source package in Lucid:
> Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried Google
> Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all protocols,
> without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

Changed in telepathy-haze:
importance: Medium → Unknown
Changed in telepathy-idle:
importance: Medium → Unknown
Changed in telepathy-gabble:
importance: Medium → Unknown
Changed in telepathy-gabble:
importance: Unknown → Medium
Changed in telepathy-idle:
importance: Unknown → Medium
DiagonalArg (diagonalarg) wrote :

> How about people following this bug mention what type of proxy support they
> need? (socks, http, etc.)

I need socks.

As with pidgin, I need individual settings for each account.

Thanks.

Tiago Katcipis (katcipis) wrote :

> How about people following this bug mention what type of proxy support they need? (socks, http, etc.)

In my company we use HTTP proxy.

Guillaume Desmottes (cassidy) wrote :

I opened bug #715821 about syncing glib-networking from Debian.

In my company and in my university we use HTTP proxy.

On Wed, Feb 9, 2011 at 12:03 PM, Guillaume Desmottes <email address hidden>wrote:

> I opened bug #715821 about syncing glib-networking from Debian.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/304889
>
> Title:
> Does not use system proxy settings
>
> Status in Chat app, and Telepathy user interface:
> Unknown
> Status in Jabber/XMPP connection manager:
> Confirmed
> Status in Telepathy Haze:
> Confirmed
> Status in A full-featured IRC connection manager for telepathy.:
> Confirmed
> Status in “empathy” package in Ubuntu:
> Triaged
> Status in “empathy” source package in Lucid:
> Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried
> Google Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all
> protocols, without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

Michal (michal.post) wrote :

Tomas,

Same here. I suggest you ask you colleagues at work and campus to vote for
this bug.
The more votes the more chances to get it fixed.

Regards,
Michal

2011/2/9 Tomas Scally <email address hidden>

> In my company and in my university we use HTTP proxy.
>
> On Wed, Feb 9, 2011 at 12:03 PM, Guillaume Desmottes
> <email address hidden>wrote:
>
> > I opened bug #715821 about syncing glib-networking from Debian.
> >
> > --
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> > https://bugs.launchpad.net/bugs/304889
> >
> > Title:
> > Does not use system proxy settings
> >
> > Status in Chat app, and Telepathy user interface:
> > Unknown
> > Status in Jabber/XMPP connection manager:
> > Confirmed
> > Status in Telepathy Haze:
> > Confirmed
> > Status in A full-featured IRC connection manager for telepathy.:
> > Confirmed
> > Status in “empathy” package in Ubuntu:
> > Triaged
> > Status in “empathy” source package in Lucid:
> > Confirmed
> >
> > Bug description:
> > Binary package hint: empathy
> >
> > Empathy wont connect to any major service trough a proxy. I've tried
> > Google Talk, Jabber, MSN and Yahoo.
> > I set the proxy preferences in GNOME, it's a plain proxy for all
> > protocols, without authentication.
> >
> > Pidgin works normally in the same setup.
> >
> > Ubuntu 8.10, Empathy 2.24.1
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
> >
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/304889
>
> Title:
> Does not use system proxy settings
>
> Status in Chat app, and Telepathy user interface:
> Unknown
> Status in Jabber/XMPP connection manager:
> Confirmed
> Status in Telepathy Haze:
> Confirmed
> Status in A full-featured IRC connection manager for telepathy.:
> Confirmed
> Status in “empathy” package in Ubuntu:
> Triaged
> Status in “empathy” source package in Lucid:
> Confirmed
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried
> Google Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all
> protocols, without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscribe
>

papukaija (papukaija) wrote :

@DiagonalArg: The system proxy setings should support for different kind of proxies.

Felipe Contreras (felipec) wrote :

@papukaija But that's the problem; GNOME guys don't want to implement HTTP Connect in GIO, and libproxy guys interpret gnome-network-properties wrongly. So in reality HTTP Connect is not supported at all, nor is it planned to any time soon. But that's ok according to the developers, because "less than 1% use it", according to comment #117.

Anyway, I've created my own libproxy-simple, which acts like libproxy, but actually works. Or you could just use telepathy-haze as I've proposed and many people have said here that it Just Works.

Changed in telepathy-haze:
importance: Unknown → Medium
Michael (michaeljt) wrote :

@Nicolas - what is the current state for telepathy-idle? Is this working in any upstream version or not done yet at all? And if not, what is actually needed? How much do the GIO APIs differ from the BSD socket ones?

cdeze (christophedeze) wrote :

I'm surprised that in 2011 such bug still exists ???!!!

Michael (michaeljt) wrote :

I would like to repeat my question to Nicolas or anyone else qualified to answer (i.e. with whatever committing privileges are required). What would be needed to fix this, and would it be possible with a "drive-by contribution" amount of work? I definitely can't promise anything for time reasons, but I would at least like to take a look at what is involved if I had a bit of confidence that patches I might write would get somewhere.

Changed in empathy (Ubuntu):
status: Triaged → In Progress
Fabio (fabiove) on 2011-05-10
Changed in empathy (Ubuntu):
status: In Progress → Confirmed
Felipe Contreras (felipec) wrote :

I already explained many times how to fix this *right now* (in fact more than one year ago). See comment #76.

The fact of the matter is that Ubuntu people don't care, otherwise they would have marked it as critical as I suggested in comment #79. "It will be on the next release cycle" somebody said as an excuse. And here we are a year later.

Michael (michaeljt) wrote :

Ahem, Felipe, do you have commit rights, either upstream or down? That doesn't relate to the quality of what you are saying, but in this situation having a committer to back your changes is as important as their actual quality.

Felipe Contreras (felipec) wrote :

Commit rights are irrelevant. Nobody has commit rights in the Linux kernel except Linus. Does that mean everybody else's opinion don't matter.

See comment #92, #93 and #94; the fix is known to work.

Michael (michaeljt) wrote :

Perhaps I am misunderstanding something, but as a telepathy-idle user is that relevant to me? In a pinch I will go back to pidgin of course, but I would prefer a proper fix in empathy.

Felipe Contreras (felipec) wrote :

@Michael telpathy-haze has support for IRC too.

AIM, facebook, gadugadu, groupwise, IRC, ICQ, jabber, local XMPP, MSN, QQ, sametime, sipe, yahoo, zephyr, mxit, and sip; IOW what libpurple (Pidgin) supports.

Brian Curtis (bcurtiswx) wrote :

This is not a unity specific issue. This is Ubuntu in general. Invalidating that.

Changed in empathy (Unity Linux):
status: New → Invalid
Brian Curtis (bcurtiswx) wrote :

As an update to everyone interested. There are tons of limitations as to getting this bug complete. As of right now proxy works for Gabble (mind glib-networking has to be installed), there is some interest in porting idle to GIO which may allow proxying to work. For a lot of other connection managers this either isn't possible or severely limited. haze is a libpurple implementation, and telepathy has no control over that. Plus haze can't allow popups for password questions and therefore even if libpurple supported it, it would have severe limitations.

This is not an empathy bug but a bug with the connection manager themselves, and therefore I'm closing all empathy instances.

Changed in empathy (Ubuntu):
status: Confirmed → Invalid
Changed in empathy (Ubuntu Lucid):
status: Confirmed → Invalid
Changed in empathy:
importance: High → Undecided
status: Unknown → New
status: New → Invalid
Felipe Contreras (felipec) wrote :

@Brian No, proxy support works on gabble only for certain kinds of configurations. For example a global HTTP proxy doesn't work. See comment #118.

haze is *not* a libpurple implementation, and telepathy *does have* control over that.

And what do you mean "can't allow popups for password questions"?

Brian Curtis (bcurtiswx) wrote :

http://telepathy.freedesktop.org/wiki/Components
haze is an implementation of libpurple, which telepathy does NOT have control over.

Libpurple will allow for password prompts on proxies, haze can not use these (idk why, this is all info from uptream)

Also , gabble I have been told "just works".

Felipe Contreras (felipec) wrote :

No, telepathy-haze is just another Telepathy Connection Manager. Read the text you just shared:

Haze: A connection manager based on Pidgin's libpurple, supporting all protocols in Pidgin (AIM, ICQ, Yahoo, MSN, etc) at a basic level, but already very usable.

libpurple uses GConf's system proxy settings, which contain authentication.

And you have been told wrong, here's a screenshot with the latest gabble not working (latest glib, with glib-networking, with libproxy support):
http://people.freedesktop.org/~felipec/gabble-proxy.png

See?

Works fine with libproxy-simple though.

Mike Mestnik (cheako) wrote :

Hello,
  I've just reconfirmed this bug exists with several Telepathy ?backends? when attempting to use a SOCKS proxy... an HTTP connect proxy is configured to forward connections through the available socks proxy.

I've switched to Pidgin and this is confirmed to work, however it's in no way a solution to any problem... at best it's a cheap work around. Here is one solution...

Place these into /etc/rc.local and run it:
daemon -n socat5223 -- socat -ly TCP-LISTEN:5223,fork,reuseaddr SOCKS4A:127.0.0.1:talk.google.com:5223,socksport=9050
daemon -n socat5222 -- socat -ly TCP-LISTEN:5222,fork,reuseaddr OPENSSL:127.0.0.1:5223,verify=0

You'll need both the daemon and socat packages installed. Then one should be able to set localhost as the server to connect to. socat can also make use of HTTP connect proxies, I believe.

Why you wouldn't put this into your application is beyond me, it's a little bit of shell scripting and it would close the bug... you could even make use of UNIX domain sockets. It's only politics that keeps this bug open, ppls own agendas getting in the way of implementing options/features users are requesting. "Why would an application developer care about the available features on an HTTP proxy they would likely never use?" The use should be able to configure and use proxies, don't know why this is so difficult a concept to understand.

Wow. 3 and half years!

denix (denics) wrote :

still the same situation with Empathy 3.2.0.1 and Ubuntu 11.10

Changed in empathy (Ubuntu):
status: Invalid → Confirmed
Ir0nsh007er (ir0n) wrote :

Not working here Empathy 3.2.0.1 Ubuntu 11.10

!!!!!!!

C de-Avillez (hggdh2) wrote :

And still not an Empathy issue. There is nothing to be done on Empathy, fixes have to be written to the various protocol handlers.

Invalidating (again) the Empathy task.

Changed in empathy (Ubuntu):
status: Confirmed → Invalid
jorge (xxopxe) wrote :

Uh, I don't know what a "protocol handler" is, nor I care were fixes have to be written. As a user, what is broken is Empathy. It has a bug: I have a proxy, Empathy does not work.

Michal (michal.post) wrote :

> And still not an Empathy issue. There is nothing to be done on Empathy
@hggdh2: With all due respect, I cannot agree with you.

Consider this (real!) scenario:
In my company, I use IM multi protocol client on Ubuntu. I need to have 4 accounts:
1. local (jabber) --> local intranet server1 [must use DIRECT http, must NOT use proxy]
2. gtalk (jabber) --> internet via http proxy [must use http via PROXY]
3. exchange (sipe) --> local intranet server2 [must use directly http, must NOT use proxy]
4. one more (gg) --> internet via http proxy [must use http via PROXY]

Obviously, this can be done only if IM client let's me to setup http_proxy per account. Empathy does not. It is missing this feature.
This is the reason, why I (and a lot of my colleagues in50 000+ employees company) are using Pidgin instead of Empathy which is the default Ubuntu IM client. Of course not all of employees are using Ubuntu, but all of them are potentially affected by this bug. Only in this one company. There are several others companies, campuses etc in similar situation.

Please also note, that many popular applications have builtin proxy settings (Firefox, Pidgin, ...).
It's not a critical feature for IM, but for multi communicator it's important.

Kind Regards,
Michal

C de-Avillez (hggdh2) wrote :

@Michal: there is a disconnect here: technically -- which where the bug tasks come in -- this is not an Empathy issue: Empathy does not do network. Network activities are performed by the so-called Connection Managers (which I called protocol handlers), usually the telepathy-<whatever> modules.

Support for proxy must be added in these modules, not on Empathy. This may be -- or not -- a major undertaking; I do not know.

But, no matter what, the best place to ask for it is "upstream" (where the authors reside). For each of the current valid tasks on this bug, there is a link to the upstream bug. I had a quick look at them, and it seems pretty much nothing has been done by the developers regarding proxy usage. Comments there would probably help more than here.

And I do agree that lacking proxy support is not good. But this is a bug, a technical report of an error/issue. No matter what you (or jorge above) think, we have to have the correct modules listed.

Empathy (overall) suffers with the lack of proxy support. But there is nothing to be done for Empathy itself here -- so it is Invalid as a bug task. On the other hand, telepathy-gabble, telepathy-haze, and telepathy-idle are correctly set.

Michal (michal.post) wrote :

@hggdh2:
Thank you for the clarification.
Have a good day.

Correct me if I'm wrong, but GNOME 3 proxy settings don't have any fields to enter the authentication information, so Simon McVittie's option (a) is not currently possible.

Felipe Contreras (felipec) wrote :

> But there is nothing to be done for Empathy itself here -- so it is Invalid as a bug task.

This is not true. The upstream "support" would just use the GNOME proxy settings, and it would not be possible to configure the proxy per-account, for that you would still need changes in Empathy.

If you assume this is only to read the system settings, then yes, this is not a bug in Empathy, it has to be implemented in all the telepathy connection managers but the list above (haze, gabble, and idle) is not nearly complete. Plus, none of those bugs have any priority, severity, or even any comment there.

At this point it would be useful to do what Fedora does, have keep this bug open as a metabug, or tracking bug, and when all the telepathy CM's are fixed, then this is closed.

Moreover, the upstream tracking bugs are wrong.

Bug #22065 is not to use system proxy settings in telepathy-haze, in fact, it's for exactly the opposite; have an option to *disable* the proxy for this particular account, for which actually, you would need changes in Empathty. In fact, if you read the comments above in this bug report, you would see that people confirm that telepathy-haze is actually the only one that works.

You could fix this bug *today* if you wanted to, by just distributing telepathy-haze, and not the other connection managers. So there's something Ubuntu can do to fix this, but you just don't want to.

Bug #16034 has nothing to do with system proxy settings, which supposedly telepathy-gabble already supports (although not that smoothly). It is about user/password authentication to the proxy.

Interestingly enough if you read comment #2, a telepathy developer suggests as an option to modify Empathy to allow configuring the proxy settings in a *per account* way:

> (b) Empathy gains http-proxy-server, http-proxy-port, http-proxy-username and http-proxy-password parameters in the Advanced area of account config

Bug #12376 is correct, but as you can see, there's nothing going on over there.

So, do you want to fix this or not? If you want to fix this, then closing the bug is like shuffling it under the carpet... It won't achieve anything.

(In reply to comment #3)
> Correct me if I'm wrong, but GNOME 3 proxy settings don't have any fields to
> enter the authentication information, so Simon McVittie's option (a) is not
> currently possible.

Simon comment was posted in 2008, Gnome 3 didn't yet exist to make proxy support worst.

C de-Avillez (hggdh2) wrote :

@Felipe:

(1) may I suggest you to find the correct upstream bugs and update the link here? Or open upstream bugs as needed;

(2) may I also suggest you to carry your reasoning upstream?

(3) which bug is it you state is closed?

Pedro Villavicencio (pedro) wrote :

According to https://bugzilla.gnome.org/show_bug.cgi?id=602824 the work should be on the lower layers. I'm happy to open tasks against the telepathy projects or any others though.

Felipe Contreras (felipec) wrote :

C de-Avillez:

First of all, let's remember that you don't have to fix all the CM's to fix this issue. Ubuntu can fix this *today*, regardless of the status of the telepathy CM's

(1) This is pointless, because a) it's not needed, and b) each CM has different issues regarding proxy support.

* telepathy-haze

This works fine.

* telepathy-butterfly

It uses papyon, which looks like it's going to be discontinued. It has basic proxy support, but it's not done through GIO, as it probably should be.

* telepathy-gabble

Seems to have proxy support through GIO, but there are issues.

* telepathy-idle

No proxy support on the horizon.

* telepathy-rakia

No proxy support on the horizon. Or bug report about it.

* telepathy-sunshine

No proxy support on the horizon. Or bug report about it.

Even if you fix all these issues in the connection-managers, this *still* doesn't solve the problem that some people need proxy configuration in a per-proxy way, as explained upstream bug #16034, you would need modifications both in the connection managers, *AND* Empathy.

(2) I have already done that:

http://thread.gmane.org/gmane.comp.freedesktop.telepathy/4103

Some responses I've heard from upstream developers, are "Nobody uses proxies", "Nobody uses HTTP connect", "Sysadmins probably never allow HTTP connect for non 443 ports", "If you need special proxies for some accounts, write your own PAC file". And similar.

The fact of the matter is that they have no urgency to fix this, or even acknowledge the problems. In the meantime, people are completely unable to use Empathy, and are forced to use Pidgin (or use telepathy-haze by removing all the other CM's Ubuntu ships by default).

Again, Ubuntu could fix this *today*, it doesn't have to wait for upstream to acknowledge this is an issue.

(3) I didn't get that.

Pedro Villavicencio:

That's only if you use global settings, and as I argued in the response for (1); that's not enough. Upstream bug bug #22065 complains about that, and upstream bug #16034 describes the solution, which requires modifications to Empathy.

So, I repeat, do you want to fix this or not? Because you can fix it right now.

Guillaume Desmottes (cassidy) wrote :

Le mercredi 30 novembre 2011 à 15:55 +0000, Felipe Contreras a écrit :
> * telepathy-haze
>
> This works fine.

Stop claiming that switching to Haze is the solution of all the world's
problems. Haze can be an option for protocols not having a proper CM but
it would be completely stupid to switch to it for XMPP: no call, no file
transfer, no muc, no desktop sharing...

> * telepathy-butterfly
>
> It uses papyon, which looks like it's going to be discontinued. It has
> basic proxy support, but it's not done through GIO, as it probably
> should be.

I agree that Haze could be used. Actually we're going to switch to Haze
for MSN accounts in 3.4 as butterfly (and the other Python CMs) are not
properly maintained and lake all the recent Telepathy APIs.

> * telepathy-gabble
>
> Seems to have proxy support through GIO, but there are issues.

Which issues exactly? Are there in Gabble? in GIO?

> * telepathy-idle
>
> No proxy support on the horizon.

Idle has switched to GIO (fdo #37145) so SHOULD be at the same state as
Gabble.

> * telepathy-rakia
>
> No proxy support on the horizon. Or bug report about it.

Please feel free to open one.

> * telepathy-sunshine
>
> No proxy support on the horizon. Or bug report about it.

Same as Butterfly.

Felipe Contreras (felipec) wrote :

On Wed, Nov 30, 2011 at 6:37 PM, Guillaume Desmottes <email address hidden> wrote:
> Le mercredi 30 novembre 2011 à 15:55 +0000, Felipe Contreras a écrit :
>> * telepathy-haze
>>
>> This works fine.
>
> Stop claiming that switching to Haze is the solution of all the world's
> problems. Haze can be an option for protocols not having a proper CM but
> it would be completely stupid to switch to it for XMPP: no call, no file
> transfer, no muc, no desktop sharing...

Being able to log in is more important than anything else.

>> * telepathy-butterfly
>>
>> It uses papyon, which looks like it's going to be discontinued. It has
>> basic proxy support, but it's not done through GIO, as it probably
>> should be.
>
> I agree that Haze could be used. Actually we're going to switch to Haze
> for MSN accounts in 3.4 as butterfly (and the other Python CMs) are not
> properly maintained and lake all the recent Telepathy APIs.

Makes sense.

>> * telepathy-gabble
>>
>> Seems to have proxy support  through GIO, but there are issues.
>
> Which issues exactly? Are there in Gabble? in GIO?

All the issues related to libproxy for starters, like not being able
to get a popper configuration with GNOME 2, and thus all the DE's that
already rely on those GConf settings, like Xfce. And all the issues
related to GNOME 3 configuration, like the fact that all
authentication is missing.

Plus, in my machine, even with GNOME 3's control center it's confusing
what should be the settings, and even when I put exactly the right
settings, it takes a long long time to log in.

>> * telepathy-idle
>>
>> No proxy support on the horizon.
>
> Idle has switched to GIO (fdo #37145) so SHOULD be at the same state as
> Gabble.

Yes, many things should be in certain way *in theory*, but then why is
fdo #12376 still open? Because nobody has actually tried *in
practice*.

Here, let me try... Nope... doesn't work. What a surprise.

>> * telepathy-rakia
>>
>> No proxy support on the horizon.  Or bug report about it.
>
> Please feel free to open one.

Why would I do that? As I stated multiple times, this is not *needed*
to solve the issue at hand.

You can disagree all you want with me, but the fact of the matter is
that after more than 3 years this bug has existed, the issue remains
there, and users are *completely* prevented to use Empathy.

This is the problem going the GNOME way of trying to have everything
perfectly. When is that going to happen? 2020?

--
Felipe Contreras

Nice little workaround for IRC, and hence for idle (at least it does the job at a pinch): http://wiki.tcl.tk/3125

graemev (graeme-launchpad) wrote :

Just Installed 11.10 and it's STILL using empathy ... and it STILL doesn't work ... this must be 3 years since this 1st happened. At the very least Ubuntu could switch back to Pidgin , which does work.

ubck (now) wrote :

Recently installed 12.04 LTS and I see this issue.
When I don't use a proxy at home, I can connect to gtalk and yahoo but the same configuration doesn't work when using a proxy at work.

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Tomas

Tomas Scally
Software Engineer at INSSJP
Argentina

Confirm that you know Tomas Scally:
https://www.linkedin.com/e/-vj0ici-habulm1l-3b/isd/9898799252/naWwixxu/?hs=false&tok=1bOQ3ATN_-wBw1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-vj0ici-habulm1l-3b/heVhI-18DALiOIbXiaX7rqK8rGC5NUBwKlnX9cW/goo/304889%40bugs%2Elaunchpad%2Enet/20061/I3302755741_1/?hs=false&tok=2A2XukvNH-wBw1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

graemev (graeme-launchpad) wrote :

Wow that linkedIn spam is nasty ... sneaks in like it's from LinkedIn.

Anyhow situation appears to be that Empathy state they cannot run in the environment offered by Ubuntu, other IM clients can run. The bug should move to Ubuntu distro ... "you are using an IM client which reports it's not supported in the given environment" ..so either Ubuntu are willing to fix the environment or they must choose a client which will work?

(In reply to comment #2)
> The real fix would
> probably be making idle use glib's GSocketClient to leverage the recently
> added transparent proxy capabilities

This should now work (since 0.1.11), but that wasn't what was requested:

(In reply to comment #0)
> There's several bouncers that
> support socks or by addition of a custom command "CONNECT" in the IRC
> protocol that is used for selecting the target network that should be
> used.

Support for these would require use of a non-system-wide proxy.

Michael (michaeljt) wrote :

People affected by this might want to look at using redsocks and iptables to set up a transparent system proxy configuration. I have done that and am more and more convinced that that is the way to go, rather than making individual applications do proxy support.

(In reply to comment #3)
> (In reply to comment #0)
> > There's several bouncers that
> > support socks or by addition of a custom command "CONNECT" in the IRC
> > protocol that is used for selecting the target network that should be
> > used.
>
> Support for these would require use of a non-system-wide proxy.

For the SOCKS case, Bug #70333 outlines one possible way to achieve that. I don't think any of the Telepathy maintainers are likely to implement that any time soon, but I'd review patches.

robertsms (robertsms) wrote :

@Michael (michaeljt)
I have met the same problem for a long time. Could you give me a alternative solution please?
I do not quite understand how to setup the tsocks or iptables to solve the problem. Thank you!

Michael (michaeljt) wrote :

@Robert (robertsms)
I'm afraid I haven't really explored other ways of doing this. Anyone else? Otherwise you will probably want to look at the "redsocks" documentation.

I don't have this problem anymore since I am not forced to use proxy now.
Sorry. I used to use pidgin as a work around.
Cheers
18 paź 2013 05:36 "robertsms" <email address hidden> napisał(a):

> @Michael (michaeljt)
> I have met the same problem for a long time. Could you give me a
> alternative solution please?
> I do not quite understand how to setup the tsocks or iptables to solve the
> problem. Thank you!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/304889
>
> Title:
> Does not use system proxy settings
>
> Status in Chat app, and Telepathy user interface:
> Invalid
> Status in Jabber/XMPP connection manager:
> Confirmed
> Status in Telepathy Haze:
> Confirmed
> Status in A full-featured IRC connection manager for telepathy.:
> Confirmed
> Status in "empathy" package in Ubuntu:
> Invalid
> Status in "empathy" source package in Lucid:
> Invalid
> Status in "empathy" package in Unity Linux:
> Invalid
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried
> Google Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all
> protocols, without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscriptions
>

Quentin (qvandekerckhove) wrote :

Hello,

Empathy works fine for me with a proxy when I setup only HTTP and HTTPS
proxy settings of the ubuntu network proxy.

On Fri, Oct 18, 2013 at 11:17 AM, Michal <email address hidden> wrote:

> I don't have this problem anymore since I am not forced to use proxy now.
> Sorry. I used to use pidgin as a work around.
> Cheers
> 18 paź 2013 05:36 "robertsms" <email address hidden> napisał(a):
>
> > @Michael (michaeljt)
> > I have met the same problem for a long time. Could you give me a
> > alternative solution please?
> > I do not quite understand how to setup the tsocks or iptables to solve
> the
> > problem. Thank you!
> >
> > --
> > You received this bug notification because you are subscribed to the bug
> > report.
> > https://bugs.launchpad.net/bugs/304889
> >
> > Title:
> > Does not use system proxy settings
> >
> > Status in Chat app, and Telepathy user interface:
> > Invalid
> > Status in Jabber/XMPP connection manager:
> > Confirmed
> > Status in Telepathy Haze:
> > Confirmed
> > Status in A full-featured IRC connection manager for telepathy.:
> > Confirmed
> > Status in "empathy" package in Ubuntu:
> > Invalid
> > Status in "empathy" source package in Lucid:
> > Invalid
> > Status in "empathy" package in Unity Linux:
> > Invalid
> >
> > Bug description:
> > Binary package hint: empathy
> >
> > Empathy wont connect to any major service trough a proxy. I've tried
> > Google Talk, Jabber, MSN and Yahoo.
> > I set the proxy preferences in GNOME, it's a plain proxy for all
> > protocols, without authentication.
> >
> > Pidgin works normally in the same setup.
> >
> > Ubuntu 8.10, Empathy 2.24.1
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/empathy/+bug/304889/+subscriptions
> >
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/304889
>
> Title:
> Does not use system proxy settings
>
> Status in Chat app, and Telepathy user interface:
> Invalid
> Status in Jabber/XMPP connection manager:
> Confirmed
> Status in Telepathy Haze:
> Confirmed
> Status in A full-featured IRC connection manager for telepathy.:
> Confirmed
> Status in “empathy” package in Ubuntu:
> Invalid
> Status in “empathy” source package in Lucid:
> Invalid
> Status in “empathy” package in Unity Linux:
> Invalid
>
> Bug description:
> Binary package hint: empathy
>
> Empathy wont connect to any major service trough a proxy. I've tried
> Google Talk, Jabber, MSN and Yahoo.
> I set the proxy preferences in GNOME, it's a plain proxy for all
> protocols, without authentication.
>
> Pidgin works normally in the same setup.
>
> Ubuntu 8.10, Empathy 2.24.1
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/empathy/+bug/304889/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.